Subject: Re: Git graph with branch labels for all paths in text environment

From: Michael J Gruber <[email-masked]>
Date: Mon, 16 Nov 2009 16:27:46 +0100

Bill Lear venit, vidit, dixit 16.11.2009 14:30:
> On Monday, November 16, 2009 at 13:23:10 (+0100) Santi Béjar writes:
>> On Mon, Nov 16, 2009 at 1:03 PM, rhlee <[email-masked]> wrote:
>>> Is there anyway to to view a text based git grah that shows all paths with
>>> the branch labels? Like a on gitk but ncurses based?
>>
>> For third-party tools you can check:
>>
>> http://git-scm.com/tools
> 
> Anything that can print this?:
> 
>                                        H---I---J topicB
>                                       /
>                              E---F---G  topicA
>                             /
>                A---B---C---D  master
> 
> I've always liked the text-based format that keeps things in-line, as
> above.  Very readable.  I thought someone on this list posted
> something about a tool that could produce such graphs from
> reasonably-sized git repos.  Anyone have such a thing?

You really mean horizontally? I know those wide screen monitors are
becoming ubiquitious, but still...

Or are you more after the "in-line" part in the sense that "each branch
is on its line"? This is a bit difficult to define, though (the graph
above is linear, e.g.).

Michael